Change default click settings to Double-Click
Closed, ResolvedPublic

Description

This idea got positive feedback in the #kubuntu-devel IRC room, so I thought I'd formally turn it into an action item.

Reasoning: double-click is a better default for the following reasons:

  • User familiarity; KDE is the only platform with this behavior
  • Usability; selecting items is much more difficult with the default single-click setting

This is changed in System Settings > Input Devices > Mouse

ngraham created this task.Feb 8 2018, 4:24 PM

I agree with this task for the above reasons and to add onto the selecting issue. A ton of people are unaware of the Ctrl+click option for selecting so it just creates frustrations. This would be a good step to alleviate some new user frustration.

If we do this, we should also turn off Selection Markers in Dolphin, since they only makes sense with Single-click mode (Dolphin > Settings > Configure Dolphin > General > Uncheck "Show Selection marker"

Agreed in regards to the selection markers. There are times people have asked me what those even do so since they aren't very intuitive anyway it makes sense to disable them with double click

ach added a subscriber: ach.Feb 10 2018, 10:34 AM

In case the double-click proposal would be accepted, ...
IMHO we have to make sure that old installations keep their current behaviour.
AFAIU this would not be the case if we just set a new default.

FWIW just to mention ist: single-click is consistent with the webpage/app behaviour and webapp/pages get more and more common.

My opinion is that kubuntu should keep whatever KDE uses. Or are there other distro that use double-click as default?

FWIW just to mention ist: single-click is consistent with the webpage/app behaviour and webapp/pages get more and more common.

This is not normal for desktop usage though. Users expect desktop to work as double-click and the default should match that expectation.

My opinion is that kubuntu should keep whatever KDE uses. Or are there other distro that use double-click as default?

There probably is another Plasma distro that turns on double-click but even if there isn't, it should be done because Plasma is the only interface that does that.


I agree settings shouldn't be changed for people who like single click but should be changed for default.

FWIW, there are rumblings of changing this upstream, too. It won't get done in time for Kubuntu 18.04, but the single-click-by-default setting's days may be numbered for everyone.

Yes please for double-click. This behavior, even though default upstream, is not standard behavior a normal user would expect, especially if they are coming form Windows. The setting is also not easy to find.

raddison removed a subscriber: raddison.

+1 for single click. An extra click does not improve usability. As a former Windows user, I had no difficulty to adapt to single click. As a matter of fact, I didn't use to double click even in Windows. With all due respect, I think this isn't one of the defaults that need to be changed.

@raddison What about those of us that use touchpads? I have tap-to-click enabled (as pretty much everyone using a laptop on any OS does), and if I tap to select a folder or file in Dolphin for example, it will launch, rather than select it. Very annoying and confusing at first. Kubuntu is supposed to be the go-to distro for new users. New users are already adapting to a lot of other things with a Linux system, interface usability shouldn't be another one. This should be the same as Windows/Mac.

@raddison this change is not in relation to what is or is not better in overall usage, instead this relates to what is expected. If a user wants to have single-click activation then that is great and they can go into the settings and change it. The issue is a vast majority of people expect it to be double-click and that is why it should be default. It should be default because making people deal with customizing on the first day is a bad idea for on-boarding of users.

The biggest complaints people have with Plasma is that it is too confusing and too overwhelming. One of the reasons they have that complaint is because the default settings, including this one, force them to go change stuff and so it thrusts them into the deep end of System Settings before they can really give the fundamentals a try.


@acrouthamel that is a very good point that I hadn't even considered. Is tap-to-click on by default? If it isn't it should be and then double-click is even more important. :)

rkflx added a subscriber: rkflx.EditedMar 12 2018, 12:54 PM

Commenting here because this might set a precedence for all of KDE/Plasma and it touches one of the most fundamental UI principles present since the beginning of KDE:

+1 for single click. An extra click does not improve usability. As a former Windows user, I had no difficulty to adapt to single click.

That's absolutely correct, because double-clicking makes the most common use case of activation much harder than the much less common use case of selection.

That's why the overlay buttons in Dolphin and Plasma are laid out like they are: A large target area for the common use case of activation, a small target area (the plus icon) for the less common use case of selection.

If selection is perceived as a problem, it should be investigated how to make selecting easier, not how to make activation harder. For a start, the plus icon could be improved in visibility (e.g. see how Windows Explorer displays the checkmark if you activate the corresponding setting), and once a single item is selected, the plus icon on all other items could me made much bigger (e.g. see how Windows Photos implements this).

@raddison What about those of us that use touchpads? I have tap-to-click enabled

Tap-to-click is exactly like clicking with a regular mouse, and thus could also be used as a argument in favour of single-clicking. The only difference with a touchpad is how dragging works, but that's not affected by single-clicking at all, as the action is only activated on releasing the button or the tap.

@raddison this change is not in relation to what is or is not better in overall usage, instead this relates to what is expected.

My expectation is the exact opposite, making any attempt to justify changes by anecdotal evidence moot. Also, don't forget about every other button in our UI, about mobile devices in general or basically any web application, where despite "tapping" nobody ever expects to double-tap.

Designing user interaction by letting users "vote" on behaviour is a very slippery slope and will almost always result in an exact copy of the weird and unergonomic behaviour of whatever UI they are used to. Most textbooks on that topic warn against this and instead recommend to focus on actual/measurable usability metrics.

Looks like we managed to convince virtually everyone in T8187: Single click vs double-click that Double-Click is a more appropriate default for new KDE users. That was an upstream discussion, so I think we're pretty safe doing this for Kubuntu (not that upstream should care anyway).

tsimonq2 moved this task from Inbox to Packaging / Devel on the Kubuntu board.Mar 20 2018, 9:37 PM
clel added a subscriber: clel.Dec 15 2018, 2:12 PM

FWIW just to mention ist: single-click is consistent with the webpage/app behaviour and webapp/pages get more and more common.

or basically any web application, where despite "tapping" nobody ever expects to double-tap.

Just as an interesting side note: Google Drive uses double click in their web app, probably because they think users are used to double click in file management context. They seem to be alone with that approch, though.

Designing user interaction by letting users "vote" on behaviour is a very slippery slope and will almost always result in an exact copy of the weird and unergonomic behaviour of whatever UI they are used to. Most textbooks on that topic warn against this and instead recommend to focus on actual/measurable usability metrics.

I completely agree on this. Unfortunately there is not much measurable or metrics for this topic and is also a bit of how you interprete / subjectively look on the things.

michaeltunnell added a comment.EditedDec 15 2018, 2:32 PM
In T7928#170232, @clel wrote:

Google Drive uses double click in their web app, probably because they think users are used to double click in file management context. They seem to be alone with that approch, though.

That is interesting.

In T7928#170232, @clel wrote:

Unfortunately there is not much measurable or metrics for this topic and is also a bit of how you interprete / subjectively look on the things.

There is a metric to use. Plasma default resembles Windows in look and feel. Windows uses double-click by default . . . millions of people expect it to be double.


Side note: I am amazed by how stubborn people are with something so basic and so fundamentally irrelevant to the people who prefer single-click but yet so combersome it is to brand new users. It is baffling that people would cling on to something like this. Millions expect double . . . not having double creates needless confusion but still KDE insists that making things difficult somehow relates to "simple by default" . . . well, it doesn't.

I'm glad Kubuntu was willing to listen, thank you. It is still absurd that KDE won't even consider it.

clel added a comment.Dec 15 2018, 3:22 PM

There is a metric to use. Plasma default resembles Windows in look and feel. Windows uses double-click by default . . . millions of people expect it to be double.

Ok, two points:

  • Do you have a source that the goal of Plasma default is to resemble the Windows look and feel? Because if it is not the goal but just how it is currently, this cannot really be used as an argument. But maybe it can help to look what is the current goal of Plasma (efficiency, easy to use, easy to adopt to, whatever?) to come to a decision / adjust the goals accordingly in order to create a consistent user experience.
  • Millions of people expecting something is not really a metric, at least not what I meant with it. I meant some data saying "single click saves ... minutes per day while causing problems to new users leading to an extra effort of ... minutes per day in the first few weeks also leading to a ... percent higher refusing rate of Plasma" or something like that. Problem is that the metric itself is problematic to measure (studies, eastimations, ...?) and also leaves room for interpretation and weighing to the effects so it might not really help to make the decision. At least it helps knowing the consequences better.

Side note: I am amazed by how stubborn people are with something so basic and so fundamentally irrelevant to the people who prefer single-click but yet so combersome it is to brand new users. It is baffling that people would cling on to something like this. Millions expect double . . . not having double creates needless confusion but still KDE insists that making things difficult somehow relates to "simple by default" . . . well, it doesn't.

I'm glad Kubuntu was willing to listen, thank you. It is still absurd that KDE won't even consider it.

Note that there are pros and cons on both sides, also see my post here: T8187#170234
The question really is what the goal is, how to achieve it and how people are weighing things. Currently I don't see a clear winner here, although I initially came here to support double click while also was wondering what the pros of single click might be.

I also don't think KDE is not considering this at all. It seems that they just don't follow the current way of argumentation, which I can understand in a way.

In T7928#170246, @clel wrote:

Do you have a source that the goal of Plasma default is to resemble the Windows look and feel?

Look at it. It looks like a modified Windows 10 in many ways, it has a bottom panel, start menu on the left and system tray on the right of the panel . . . like Windows. It doesn't matter if they intended it to or not, it does. However, yes I can give multiple examples. KDE has pretty much always mimic'd Windows in a way.

KDE 1 = mimic'd Windows 95
KDE 2 = mimic'd Windows 98
KDE 3 = mimic'd Windows XP
KDE 4 / Plasma 4 = mimic'd Windows Vista

  • Millions of people expecting something is not really a metric, at least not what I meant with it. I meant some data saying "single click saves ... minutes per day while causing problems to new users leading to an extra effort of ... minutes per day in the first few weeks also leading to a ... percent higher refusing rate of Plasma" or something like that. Problem is that the metric itself is problematic to measure (studies, eastimations, ...?) and also leaves room for interpretation and weighing to the effects so it might not really help to make the decision. At least it helps knowing the consequences better.

I knew what you meant and yes I agree it is problematic. However, it doesn't matter what the metrics are. It is still a barrier to ease of use for millions of people regardless of whether or not it is superior. Windows, MacOS, GNOME, Xfce, MATE, Cinnamon, etc are ALL double-click by default. Whether it is the best or not is not important to whether it should be default or not. Needless burden of usage is always a bad default.

Note that there are pros and cons on both sides, also see my post here: T8187#170234
The question really is what the goal is, how to achieve it and how people are weighing things. Currently I don't see a clear winner here, although I initially came here to support double click while also was wondering what the pros of single click might be.

The goal is "simple by default, powerful when needed" (Plasma motto). When the project forces users to change a fundamental basic that they are not expecting to have to deal with then, that is anything but "simple by default". The goal is contradicted the first time people click an icon on their desktop or in their file manager.

I also don't think KDE is not considering this at all. It seems that they just don't follow the current way of argumentation, which I can understand in a way.

KDE makes user experience decisions based on what they want, not what is best for most users. This is a bad way of deciding defaults. The commit that added it over 10 years ago was essentially just "let's just try this and see what happens". It wasn't because it was so obviously and infinitely superior like they insist it is now . . .they want to run it as a test and it has lingered on ever since. They don't even have any data for the "test" so its futile at this point.

clel added a comment.Dec 16 2018, 10:04 PM
In T7928#170246, @clel wrote:

Do you have a source that the goal of Plasma default is to resemble the Windows look and feel?

Look at it. It looks like a modified Windows 10 in many ways, it has a bottom panel, start menu on the left and system tray on the right of the panel . . . like Windows. It doesn't matter if they intended it to or not, it does. However, yes I can give multiple examples. KDE has pretty much always mimic'd Windows in a way.

The problem here is that while KDE might mimic Windows in most points, that gives not an argument that they have to mimic it in every point. And since you did not name a source that their goal is to do so there is no real argument here, although maybe that a user might expect a similar to Windows looking interface also to act like Windows.

I knew what you meant and yes I agree it is problematic. However, it doesn't matter what the metrics are. It is still a barrier to ease of use for millions of people regardless of whether or not it is superior. Windows, MacOS, GNOME, Xfce, MATE, Cinnamon, etc are ALL double-click by default. Whether it is the best or not is not important to whether it should be default or not. Needless burden of usage is always a bad default.

It is a bit like things Apple uses to do. Example the lightning connector. While every other manufacturer used Micro USB they have seen downsides of it and came up with a better solution. I also did not like that decision but I can somehow understand it and now that there is USB C I think they plan on switching back.

In my opinion there are circumstances where one should use another approach than the mainstream if it is objectively better. The problem is that many factors like time savings and users having to change behaviour contribute to that rating. And since people tend to weigh those factors differently they come up with different conclusions.

The goal is "simple by default, powerful when needed" (Plasma motto). When the project forces users to change a fundamental basic that they are not expecting to have to deal with then, that is anything but "simple by default". The goal is contradicted the first time people click an icon on their desktop or in their file manager.

Thanks for that quote, I felt there would be such motto :)

KDE makes user experience decisions based on what they want, not what is best for most users. This is a bad way of deciding defaults. The commit that added it over 10 years ago was essentially just "let's just try this and see what happens". It wasn't because it was so obviously and infinitely superior like they insist it is now . . .they want to run it as a test and it has lingered on ever since. They don't even have any data for the "test" so its futile at this point.

Can you link that commit?

What's the point of so much text? Bring methodological proof of which is overall better than the other. Leaning towards what the sheeple expect is populism. Please avoid the pitfalls of democracy or else democracy may backfire. The metrics only reveal that most people are not intelligent, hence not qualified to make decisions. I don't believe in elitism proper but voting is a skill and not a random intuition. The same applies here. Thank you.

What's the point of so much text?

That's how discussions work.

Bring methodological proof of which is overall better than the other.

Not creating a burden or barrier of entry for something so inherently unimportant is why single click is a terrible default. It has nothing to do with which is better because ease of use is the important factor. The motto of Plasma includes "simple by default" but this makes it not simple because people will be forced to deal with something they dont expect for no good reason, immediately.

Leaning towards what the sheeple expect is populism. Please avoid the pitfalls of democracy or else democracy may backfire. The metrics only reveal that most people are not intelligent, hence not qualified to make decisions. I don't believe in elitism proper but voting is a skill and not a random intuition. The same applies here. Thank you.

Your hostility is not necessary and so I will not bother responding to that.

This comment was removed by raddison.
raddison removed a subscriber: raddison.Jan 7 2019, 4:59 PM

The motto of Plasma includes "simple by default" but this makes it not simple because people will be forced to deal with ...

this?


C'mon, any Windows user can figure that out effortlessly. Unless the person has no concept of an operating system at all. In which case learning is unavoidable on any platform. We should not replicate bad defaults just because most people got used to them.

This is a closed task. Further discussion in here just amounts to noise at this point.